package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnCard extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long cardId;
   @Excel(
      name = "卡类型",
      readConverterExp = "1=日卡,7=周卡,30=月卡,90=季卡,180=半年卡,365=年卡"
   )
   private Integer type;
   private Integer day;
   @Excel(
      name = "卡密"
   )
   private String code;
   @Excel(
      name = "状态",
      readConverterExp = "0=可用,1=已使用"
   )
   private Integer status;
   private transient Integer number;
   private transient String password;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date useTime;

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("cardId", this.getCardId()).append("type", this.getType()).append("day", this.getDay()).append("code", this.getCode()).append("status", this.getStatus()).append("userId", this.getUserId()).append("userName", this.getUserName()).append("agentId", this.getAgentId()).append("agentName", this.getAgentName()).append("dealerId", this.getDealerId()).append("dealerName", this.getDealerName()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
   }

   public Long getCardId() {
      return this.cardId;
   }

   public Integer getType() {
      return this.type;
   }

   public Integer getDay() {
      return this.day;
   }

   public String getCode() {
      return this.code;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getNumber() {
      return this.number;
   }

   public String getPassword() {
      return this.password;
   }

   public Date getUseTime() {
      return this.useTime;
   }

   public void setCardId(Long cardId) {
      this.cardId = cardId;
   }

   public void setType(Integer type) {
      this.type = type;
   }

   public void setDay(Integer day) {
      this.day = day;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setNumber(Integer number) {
      this.number = number;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   public void setUseTime(Date useTime) {
      this.useTime = useTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnCard)) {
         return false;
      } else {
         SnCard other = (SnCard)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$cardId = this.getCardId();
            Object other$cardId = other.getCardId();
            if (this$cardId == null) {
               if (other$cardId != null) {
                  return false;
               }
            } else if (!this$cardId.equals(other$cardId)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$day = this.getDay();
            Object other$day = other.getDay();
            if (this$day == null) {
               if (other$day != null) {
                  return false;
               }
            } else if (!this$day.equals(other$day)) {
               return false;
            }

            label62: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label62;
                  }
               } else if (this$status.equals(other$status)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$code = this.getCode();
               Object other$code = other.getCode();
               if (this$code == null) {
                  if (other$code == null) {
                     break label55;
                  }
               } else if (this$code.equals(other$code)) {
                  break label55;
               }

               return false;
            }

            Object this$useTime = this.getUseTime();
            Object other$useTime = other.getUseTime();
            if (this$useTime == null) {
               if (other$useTime != null) {
                  return false;
               }
            } else if (!this$useTime.equals(other$useTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnCard;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $cardId = this.getCardId();
      result = result * 59 + ($cardId == null ? 43 : $cardId.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $day = this.getDay();
      result = result * 59 + ($day == null ? 43 : $day.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $code = this.getCode();
      result = result * 59 + ($code == null ? 43 : $code.hashCode());
      Object $useTime = this.getUseTime();
      result = result * 59 + ($useTime == null ? 43 : $useTime.hashCode());
      return result;
   }
}
